function EFFECT:Init(data)
	self.Start = data:GetOrigin()
	self.Emitter = ParticleEmitter(self.Start)
	for i = 1, 80 do
		local w = self.Emitter:Add("effects/fleck_cement"..math.random(1,2), self.Start + Vector(math.Rand(-5, 5), math.Rand(-5, 5), math.Rand(-5, 5)))
		if w then
			w:SetVelocity(Vector(math.Rand(-120, 160), math.Rand(-120, 160), math.Rand(0, 180)))
			w:SetDieTime(math.Rand(1, 4))
			w:SetStartAlpha(255)
			w:SetEndAlpha(0)
			w:SetStartSize(math.Rand(1, 2))
			w:SetEndSize(0)
			w:SetRoll(math.Rand(0, 360))
			w:SetRollDelta(math.Rand(-15, 15))
			w:SetAirResistance(70)
			w:SetColor(90, 85, 75)
			w:SetGravity(Vector(0, 0, -400))
			w:SetCollide(true)
			w:SetBounce(0.6)
			w:SetColor(0, 0, 0)
		end
	end
	for i = 1, 10 do
		local c = self.Emitter:Add("particle/particle_composite", self.Start + Vector(math.Rand(-5, 5), math.Rand(-5, 5), math.Rand(-5, 5)))
		if c then
			c:SetDieTime(2)
			c:SetStartAlpha(100)
			c:SetEndAlpha(0)
			c:SetStartSize(15)
			c:SetEndSize(35)
			c:SetRoll(math.Rand(0, 360))
			c:SetRollDelta(math.Rand(-1, 1))
			c:SetAirResistance(150)
			c:SetVelocity(Vector(math.Rand(-40, 40), math.Rand(-40, 40), math.Rand(0, 60)))
			c:SetGravity(Vector(0, 0, -50))
			c:SetColor(0, 0, 0)
		end
	end
	for i = 1, 20 do
		local p = self.Emitter:Add("particle/smokesprites_000" .. math.random(1, 9), self.Start + Vector(math.Rand(-5, 5), math.Rand(-5, 5), math.Rand(-5, 5)))
		p:SetDieTime(2)
		p:SetStartAlpha(math.Rand(75,115))
		p:SetEndAlpha(0)
		p:SetStartSize(math.Rand(15, 25))
		p:SetEndSize(math.Rand(35, 50))
		p:SetRoll(math.Rand(-1, 1))
		p:SetRollDelta(math.Rand(-0.5, 0.5))
		p:SetVelocity(Vector(math.Rand(-15, 15), math.Rand(-15, 15), math.Rand(10, 20)))
		p:SetGravity(Vector(0, 0, -25))
		p:SetColor(0, 0, 0)
	end
	self.Emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end